#!/usr/bin/env groovy
node {
    stage('Checkout') {
        checkout scm
        def pom = readMavenPom file: 'pom.xml'
         if (pom) {
        echo "Building version ${pom.version}"
    }
    sh "chmod +x ./mvnw"
    }
    stage('Build') {
        parallel 'build':{
            withEnv(["PATH+jdk=${tool 'java 11'} /bin"]) {
                sh "./mvnw compile"
                archiveArtifacts artifacts: '**/target/*.*'
            }
        }, 'Hello World': {
            echo 'Hello World'
        }
    }
    stage('Test') {
        withEnv(["PATH+jdk=${tool 'java 11'} /bin"]) {
            sh "./mvnw verify"
        }
    }
}
